<?php
namespace App\Http\Controllers\Behavior;
use App\Http\Controllers\Controller;
use App\Repositories\Behavior\BehaviorLogRepository;
use App\Transformers\Behavior\BehaviorLogTransformer;
use Illuminate\Http\Request;
use League\Fractal\Manager;
use League\Fractal\Pagination\IlluminatePaginatorAdapter;
use League\Fractal\Resource\Collection;
/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/6/13
 * Time: 下午7:01
 */

class LogController extends Controller
{
    public function __construct(BehaviorLogRepository $behaviorLogRepository)
    {
        $this->behaviorLogRepository = $behaviorLogRepository;
    }

    //日志列表
    public function index(Request $request)
    {
        $logList = $this->behaviorLogRepository->log($request->all());
        $fractal = new Manager();
        $resource = new Collection($logList, new BehaviorLogTransformer());
        $resource->setPaginator(new IlluminatePaginatorAdapter($logList));
        $data = $fractal->createData($resource)->toArray();

        $data['extra'] = [
            'filters' => [
                'type',
                'created_at',
            ],
            'columns' => [
                'id',
                'username',
                'behavior_id',
                'operator_id',
                'type',
                'created_at',
                'content',
            ]
        ];
        return $data;

    }

}