<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-06-26
 * Time: 9:43
 */
namespace App\Http\Controllers;

use App\Transformers\CommunityMemberStatisticsTransformer;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

use App\Repositories\CommunityMemberStatisticsRepository;

class MemberStatisticsController extends Controller {
    public function __construct(CommunityMemberStatisticsRepository $memberStatistics) {
        $this->memberStatistics = $memberStatistics;
    }
    //测试
    public function index(){
        $this->memberStatistics->statistics();
    }
    public function view(Request $request){
        $data = $request->only('uid');
        $validator = Validator::make($data, [
            'uid' => 'required|integer',
        ]);
        if ($validator->fails()) {
            return $this->response->error($validator->errors()->first(), 500);
        }
        $info = $this->memberStatistics->view($data['uid']);
        if($info){
            return $this->response->item($info, new CommunityMemberStatisticsTransformer());
        }
    }
}