<?php
namespace App\Repositories\Behavior;
use App\Models\CommentRecord;

/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/6/14
 * Time: 下午18:18
 */

class CommentRecordRepository
{
    public function __construct(CommentRecord $commentRecord)
    {
        $this->commentRecord = $commentRecord;
    }

    public function lists($request)
    {
        $perPage = isset($request['per_page']) ? $request['per_page'] : 20;
        $where = [];
        if(isset($request['id'])){
            $where[] = ['id', $request['id']];
        }
        if(isset($request['uid'])){
            $where[] = ['uid', $request['uid']];
        }
        if(isset($request['trigger_type'])){
            $where[] = ['trigger_type', $request['trigger_type']];
        }
        if(isset($request['virus_behavior_id'])){
            $where[] = ['virus_behavior_id', $request['virus_behavior_id']];
        }
        if(isset($request['content_author_id'])){
            $where[] = ['content_author_id', $request['content_author_id']];
        }
        if(isset($request['related_content_id'])){
            $where[] = ['related_content_id', $request['related_content_id']];
        }
        if(isset($request['superior_commentator_id'])){
            $where[] = ['superior_commentator_id', $request['superior_commentator_id']];
        }

        return $this->commentRecord
            ->where($where)
            ->where(function($query) use ($request){
                if(isset($request['created_at'])){
                    $time = explode('_', $request['created_at']);
                    $query->whereBetween('created_at', $time);
                }
            })
            ->orderBy('id','desc')
            ->paginate($perPage);
    }

}