<?php

/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/6
 * Time: 14:08
 */
namespace App\Transformers\Post;

use App\Models\Post;
use Illuminate\Support\Carbon;
use League\Fractal\TransformerAbstract;

class PostTransformer extends TransformerAbstract
{
    public function transform(Post $post)
    {
        return [
            'id' => $post['id'],
            'created_at' => Carbon::parse($post['created_at'])->toDateTimeString(),
            'uid' => $post['uid'],
            'username' => $post['username'],
            'avatar' => $post['avatar'],
            'topic' => $post->topic(),
            'content' => subtext(strip_tags($post['content']), 20),
            'location' => $post['location'],
            'pv' => $post->data->pv_real.'/'.$post->data->pv,
            'praise_count' => $post->data->praise_real_count.'/'.$post->data->praise_count,
            'share_count' => $post->data->share_real_count.'/'.$post->data->share_count,
            'comment_count' => $post->data->comment_count,
            'collect_count' => $post->data->collect_real_count.'/'.$post->data->collect_count,
            'create_bean' => $post->data->create_bean,
            'is_suggest' => $post['is_suggest'],
            'is_hide' => $post['is_hide'],
        ];
    }
}