<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateBehaviorOperationLogTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('behavior_operation_log', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('operator_id')->comment('操作人ID');
            $table->integer('behavior_id')->comment('行为ID');
            $table->string('username')->comment('用户名');
            $table->tinyInteger('type')->nullable()->comment('操作类型:0.登记行为;1.编辑行为;2.开/关行为');
            $table->string('content')->nullable()->comment('操作内容');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('behavior_operation_log');
    }
}
