<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateBehaviorTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('behavior', function (Blueprint $table) {
            $table->increments('id');
            $table->string('virus_behavior_id')->comment('virus对应行为ID');
            $table->string('name')->comment('行为名称');
            $table->tinyInteger('behavior_level')->default(0)->comment('行为级别:0.唯一/基础行为;1.多级行为');
            $table->tinyInteger('behavior_cycle_type')->default(0)->comment('行为周期类型:0.普通/短期;1.长期');
            $table->integer('behavior_action_id')->nullable()->comment('绑定的动作ID');
            $table->string('behavior_cycle')->nullable()->comment('行为时间周期');
            $table->integer('behavior_binding_users')->nullable()->comment('行为绑定用户:0.所有用户');
            $table->string('physical_strength')->nullable()->comment('行为消耗体力值');
            $table->string('rainbow_beans')->nullable()->comment('行为生成U米');
            $table->string('remarks',100)->nullable()->comment('备注');
            $table->tinyInteger('is_open')->comment('是否开启:0.关闭;1.开启');
            $table->date('behavioral_cycle_start_time')->nullable()->comment('行为时间周期开始时间');
            $table->date('behavioral_cycle_end_time')->nullable()->comment('行为时间周期结束时间');
            $table->json('allotted_quantity_rule')->nullable()->comment('U米分配规则');
            $table->string('behavior_identification')->nullable()->comment('行为标识');//英文的行为名称
            $table->integer('trigger_times')->nullable()->comment('触发次数');
            $table->integer('effective_trigger')->nullable()->comment('有效触发次数');
            $table->integer('relative_series')->nullable()->comment('相对级数');
            $table->integer('absolute_progression')->nullable()->comment('绝对级数');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('behavior');
    }
}
