<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateGeneralLedgerRecordTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('general_ledger_record', function (Blueprint $table) {
            $table->increments('id');
            $table->string('virus_behavior_id')->comment('virus行为ID');
            $table->integer('uid')->comment('用户ID');
            $table->date('trigger_time')->comment('触发时间');
            $table->integer('related_content_id')->comment('关联内容id');
            $table->integer('content_author_id')->comment('内容作者id');
            $table->string('physical_exertion')->nullable()->comment('消耗体力值');
            $table->tinyInteger('trigger_type')->nullable()->comment('触发类型:0:无效触发;1.有效触发');
            $table->tinyInteger('generation_type')->nullable()->comment('生成类型:1:U米');
            $table->tinyInteger('release_status')->nullable()->comment('发放状态:0.异常;1.正常');
            $table->integer('generation_quantity')->nullable()->comment('生成数量');
            $table->integer('quantity_issued')->nullable()->comment('发放数量');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('general_ledger_record');
    }
}
