<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCommunityMemberStatisticsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('community_member_statistics', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('uid')->nullable()->default(0)->comment('用户uid');
            $table->integer('post_count')->nullable()->default(0)->comment('内容数');
            $table->integer('read_count')->nullable()->default(0)->comment('阅读数');
            $table->integer('share_count')->nullable()->default(0)->comment('分享数');
            $table->integer('like_count')->nullable()->default(0)->comment('点赞数');
            $table->integer('unlike_count')->nullable()->default(0)->comment('不喜欢数');
            $table->integer('collect_count')->nullable()->default(0)->comment('收藏数');
            $table->integer('comment_count')->nullable()->default(0)->comment('评论数');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('community_member_statistics');
    }
}
