<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddPostMusicTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('post_music', function (Blueprint $table) {
            $table->bigIncrements('id')->comment('表ID');
            $table->string('music_id',32)->index('idx_music_id')->default('')->nullable()->comment('音乐ID');
            $table->string('name')->nullable()->comment('音乐名称');
            $table->integer('music_duration')->default(0)->comment('音乐时长');
            $table->string('md5sum',32)->default('')->nullable()->comment('音乐MD5');
            $table->string('url')->nullable()->comment('音乐地址');
            $table->string('img')->nullable()->comment('分类图片');
            $table->string('singer',32)->nullable()->comment('音乐描述');

            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
