<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/12
 * Time: 16:32
 */

namespace App\Console\Commands;


use App\Models\PostMusic;
use App\Models\PostMusicCategory;
use App\Models\PostMusicCategoryRel;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;

class MusicImport extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'music:import';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '导入帖子音乐信息';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $musicInfo = '[{"name":"Vlog","category_id":"5","music":[{"music_id":"1b94f4dcc854468a9f68d482cabc81f4","name":"特别的一天","music_duration":60,"md5sum":"0811c63ff32cbd0c0e397c86205c2c80","url":"http:\/\/oss.caihongxingqiu.net\/music\/15953f5b-d15c-33ca-9856-28c310290667_0_60_294.mp3","img":"","singer":"快乐"},{"music_id":"566d8d8de48b41fdafd60c61cde6ab21","name":"Dreams","music_duration":49,"md5sum":"133d0c8492bd4fcf9546077372053cea","url":"http:\/\/oss.caihongxingqiu.net\/music\/lsc9qtCG4tKzUUZY6EBGx2pzF7Q__compress.mp3","img":"","singer":"安静"},{"music_id":"feb1bbbdab8746508586f275e3e55203","name":"manmade waterfalls","music_duration":60,"md5sum":"cad3fd1a374407dfbc4b1c89ac3f9934","url":"http:\/\/oss.caihongxingqiu.net\/music\/79820b81-8c56-394f-a423-7d614f0d64d4_2_60_538.mp3","img":"","singer":"放松"},{"music_id":"bbf5282c9e934a83838f46eee3fb31e1","name":"let\'s be lazy together","music_duration":60,"md5sum":"3240df417b6e11069b6c16f77e10a024","url":"http:\/\/oss.caihongxingqiu.net\/music\/4fe8a533-7647-3f16-99db-c376f2835d7b_0_60_711.mp3","img":"","singer":"治愈"},{"music_id":"067c24b1e1254be7836516db06d99b3a","name":"Waltz in your dream","music_duration":60,"md5sum":"1edf92b0a83ef771e4ed296628d43707","url":"http:\/\/oss.caihongxingqiu.net\/music\/3106cd55-59fe-33ce-b901-268b76c37562_0_60_907.mp3","img":"","singer":"放松"},{"music_id":"a3db781e24404fdca67866f047c45aca","name":"Half Past Love","music_duration":60,"md5sum":"58b0cde3a5c1f5bf44bf15de09712fe1","url":"http:\/\/oss.caihongxingqiu.net\/music\/lmFlic6u-tJauTDmE9yQVM9MR50W.mp3_10_60_426.mp3","img":"","singer":"美好"},{"music_id":"bdea43f91f2543fe8b62063cd2fddf2f","name":"Woah","music_duration":25,"md5sum":"75c761594119ffb4ffaa4b00455574c2","url":"http:\/\/oss.caihongxingqiu.net\/music\/lhAUlWSlDNUgtOxW5xPoL74cljEY_compress.mp3","img":"","singer":"安静"},{"music_id":"890441d1bb954191bb9829c91260be94","name":"Your Love Has Me High","music_duration":60,"md5sum":"354d35b517df8eb4ce39197a58cd8eb1","url":"http:\/\/oss.caihongxingqiu.net\/music\/lgo3478KoJykWvzTLYRzTHc_Si99_compress.mp3","img":"","singer":"快乐"},{"music_id":"e461c8b170b1499b87030d118afdaa16","name":"Swomee Swan","music_duration":60,"md5sum":"10dafa3984d1cfb62bc16e84d66ee669","url":"http:\/\/oss.caihongxingqiu.net\/music\/a4eeea96-e880-3d05-ba25-b15a7ef1bf62_20_60_224.mp3","img":"","singer":"孤独"},{"music_id":"37fec9abc9134fc2af9564abe0d90b32","name":"That \'just got home from work\' type of beat","music_duration":60,"md5sum":"91c016a4c3ff8e32a0a7eb89a53cf67b","url":"http:\/\/oss.caihongxingqiu.net\/music\/0777208d-82dd-39d7-ba79-865778b85647_7_60_584.mp3","img":"","singer":"休闲"},{"music_id":"3fffd218b5d645138a5c97ddf6cb4ec4","name":"Griptape","music_duration":32,"md5sum":"0db8ac157ea4cfa36ac091555e8faa04","url":"http:\/\/oss.caihongxingqiu.net\/music\/llyzDQEtV3y0j7SUy-mKUa7qux8S_compress.mp3","img":"","singer":"兴奋"},{"music_id":"e7433d863930493199da4768fbc85ffc","name":"The Process","music_duration":60,"md5sum":"0af99556226b716ff8e3be358247b70c","url":"http:\/\/oss.caihongxingqiu.net\/music\/5d412c34-af1c-30e7-9c28-cd86fb34f3c8_27_60_082.mp3","img":"","singer":"减压"},{"music_id":"b24bf635ed60465b885b8d579df7e031","name":"Coffee and Cigarettes","music_duration":60,"md5sum":"565575a1f58091e4d7ebe0b97f39fa4b","url":"http:\/\/oss.caihongxingqiu.net\/music\/lkcicTe_2yKpkztBeVbj2bcObasH.mp3_19_60_037.mp3","img":"","singer":"伤感"},{"music_id":"935231afef564d5f820b334627467689","name":"Sunset Lover","music_duration":54,"md5sum":"d84b3709ce442beb020777bfc1c82aa5","url":"http:\/\/oss.caihongxingqiu.net\/music\/lvbuj-wIzBndL7EOQGWhe0OzkN3p_compress.mp3","img":"","singer":"浪漫"},{"music_id":"c615bce4cecf4e539ddd31c0406f84af","name":"Checking Things off of a To-do List Early in the Morning","music_duration":60,"md5sum":"c28ce34a77e52f86c4e3d2c716fb1797","url":"http:\/\/oss.caihongxingqiu.net\/music\/d90794cc-b7be-3256-8abf-7b465b7e33a0_6_60_524.mp3","img":"","singer":"放松"},{"music_id":"81686e3b834d4a80bb0fe7550f17aace","name":"walk with me","music_duration":60,"md5sum":"32f8204542fa4f5e8e33eb3707eb3528","url":"http:\/\/oss.caihongxingqiu.net\/music\/fcb1a152-7323-3074-8c53-cadbbba815d9_18_60_212.mp3","img":"","singer":"放松"},{"music_id":"c5411565dc834fc7b9f8d18342724d1a","name":"And So It Begin","music_duration":60,"md5sum":"4de582b721125c737faa111f4bbde1ff","url":"http:\/\/oss.caihongxingqiu.net\/music\/lpsYrh_IJQr5r8UVBw1h5j7GShbP_compress.mp3","img":"","singer":"减压"},{"music_id":"5daaeaf3f4f4407a856462e7911e5159","name":"Lucy’s Song","music_duration":34,"md5sum":"c54893762a70e83780f15f4c650218a4","url":"http:\/\/oss.caihongxingqiu.net\/music\/ll5z8kh2fAsOCBr18Zd8qloscGal_compress.mp3","img":"","singer":"美好"},{"music_id":"11cae1e7609e4b1099294a5e8fc8484a","name":"Bring Out The Love","music_duration":49,"md5sum":"1378654154ece2fec2429b435d04f224","url":"http:\/\/oss.caihongxingqiu.net\/music\/lkDV0xGpMu6PW59zMEPwfezETS5s_compress.mp3","img":"","singer":"美好"},{"music_id":"aa473211dcc543b0afde77542ca7966c","name":"she likes me but i dont like her back.","music_duration":60,"md5sum":"3c3f95a8d47aa92fa9f387aade4d6a5e","url":"http:\/\/oss.caihongxingqiu.net\/music\/1b95d407-6d6e-3975-ba11-cf3182901421_14_60_797.mp3","img":"","singer":"放松"}]},{"name":"动感","category_id":"35","music":[{"music_id":"485c8b09d5dd465c935578df12c98ac9","name":"Run Away","music_duration":60,"md5sum":"b9bd8501e1e62309641bd2b5e44ef9a9","url":"http:\/\/oss.caihongxingqiu.net\/music\/99dea397-2ffb-3e9d-a208-c88f3608a33a_33_60_449.mp3","img":"","singer":"快乐"},{"music_id":"d891bed21a5343959da601eab4844e9e","name":"Polly","music_duration":60,"md5sum":"eb73d6215f5c6c121f00564fd68c1833","url":"http:\/\/oss.caihongxingqiu.net\/music\/12738cb7-4096-3363-b656-66cc201db631_0_60_116.mp3","img":"","singer":"动感"},{"music_id":"845f4539e771426cb26d07bd253fa826","name":"Waterfall","music_duration":60,"md5sum":"3d85fe4ca62591941fe9f7dd0986802b","url":"http:\/\/oss.caihongxingqiu.net\/music\/2915a623-42a9-3f0e-b88a-c71c1d9e1bfe_0_60_896.mp3","img":"","singer":"动感"},{"music_id":"aa669c0baf4442d5b5ee366669ae7460","name":"One Dance","music_duration":60,"md5sum":"2ad93c814ae40a3453d1ebf30f8024f4","url":"http:\/\/oss.caihongxingqiu.net\/music\/85e09b2f-ccda-39d1-a2fc-64bd4d576386_0_60_912.mp3","img":"","singer":"情歌"},{"music_id":"b6f5f24e4f1e4c008c7525d3f93a8512","name":"Made in the USA","music_duration":60,"md5sum":"7292940ac024b15609464ebfe46be440","url":"http:\/\/oss.caihongxingqiu.net\/music\/4842414f-836c-3cce-9fbd-424f7ceecc03_33_60_078.mp3","img":"","singer":"动感"},{"music_id":"d242eb345e3e4aa5a55956a8d22c8198","name":"Heartquake","music_duration":60,"md5sum":"e70de40b9b1ad0d917b8e9d822d0482b","url":"http:\/\/oss.caihongxingqiu.net\/music\/3516f06d-fa9d-3c58-9fcd-7b9c2b958283_12_60_196.mp3","img":"","singer":"清新"},{"music_id":"9868482a06544a41a12db3f47907a29b","name":"He\'s Got the Whole World in His Hands","music_duration":71,"md5sum":"58ce3abc32ada36ff29aeeb156e31614","url":"http:\/\/oss.caihongxingqiu.net\/music\/FvZIc__t53zC7nijvcbCVu-yk5Pk_4_71_334.mp3","img":"","singer":"快乐"},{"music_id":"4ea380f533524863b06c7fa84ffbda50","name":"Bedroom Floor","music_duration":60,"md5sum":"db4357d56248bd98cf4e056ad6a84c17","url":"http:\/\/oss.caihongxingqiu.net\/music\/8b59da49-d636-3c39-83fd-08e37f5db7f5_8_60_754.mp3","img":"","singer":"动感"},{"music_id":"e39e78355e5a41699ee4589f1ec62220","name":"Short Skirt\/Long Jacket","music_duration":60,"md5sum":"689c39b4ddb04ed7aa2ca4725b130bb8","url":"http:\/\/oss.caihongxingqiu.net\/music\/8edd625f-592e-3d79-86f9-ff24bf129539_12_60_997.mp3","img":"","singer":"动感"},{"music_id":"a93031c08297422680447c9f8b13ae6c","name":"Take A Picture","music_duration":60,"md5sum":"c0c5aae881085ba8e4d3962adb4496d9","url":"http:\/\/oss.caihongxingqiu.net\/music\/99c7a2c3-d3b8-31f2-96b4-087bb2f45cc5_37_60_396.mp3","img":"","singer":"动感"},{"music_id":"759f464506354bec93d8da10db39d09f","name":"Lipstick","music_duration":60,"md5sum":"1796f305622ca6cad3c0de6454027bf3","url":"http:\/\/oss.caihongxingqiu.net\/music\/134d9993-32a6-3852-9271-2e91b9729e72_68_60_905.mp3","img":"","singer":"减压"},{"music_id":"95daef1465c04b39a6b608dd05f2f59a","name":"Show You Again","music_duration":60,"md5sum":"ac0c707039581ac2ea2e0fbe22e48814","url":"http:\/\/oss.caihongxingqiu.net\/music\/7ffb8d58-25da-3523-a760-e18b9cd0e526_7_60_247.mp3","img":"","singer":"快乐"},{"music_id":"4aa477a1a504404999ff282b2c15cc85","name":"Boost","music_duration":46,"md5sum":"63f04abae4b55f9ad9af4fa926e18f23","url":"http:\/\/oss.caihongxingqiu.net\/music\/lmXdzBjQz25G6qX8ODoqdTUOxBk7_compress.mp3","img":"","singer":"治愈"},{"music_id":"05cbb833040b4d11bc81ecf1aa653828","name":"Applause","music_duration":60,"md5sum":"d5943341580ea062e3536cb55ad64a67","url":"http:\/\/oss.caihongxingqiu.net\/music\/7d8eb956-71a5-3a5f-b70d-6cc45c0ae5c9_55_60_275.mp3","img":"","singer":"动感"},{"music_id":"bfbd9b347acf4d4ab3bce60491d247e6","name":"Play","music_duration":60,"md5sum":"368e6738becfc2f279f9df1dc714fa68","url":"http:\/\/oss.caihongxingqiu.net\/music\/ca18a879-b77b-3c85-9953-e111b885f5ee_2_60_791.mp3","img":"","singer":"宣泄"},{"music_id":"685e9fae48a64cae91f8a8920693d2bf","name":"Venter","music_duration":60,"md5sum":"26057ac05c7c3b47afe29cc6ac82eb86","url":"http:\/\/oss.caihongxingqiu.net\/music\/2f670689-5a7f-3ac8-ae47-991a968b5178_89_60_760.mp3","img":"","singer":"性感"},{"music_id":"571a8307f0c34a1f9b6ac1aa3962ee4b","name":"Calling All Hearts (Live)","music_duration":60,"md5sum":"3ea555e09fdbb88f8eafa7182906badb","url":"http:\/\/oss.caihongxingqiu.net\/music\/79e1445c-7eaa-3544-96d7-900733c0b4ee_81_60_354.mp3","img":"","singer":"动感"},{"music_id":"ee1a3eeafbe34fd48eb0b3a95bf9b0cd","name":"Open Your Eye","music_duration":60,"md5sum":"6c64fe2ebc79a59acd612087b46b44b4","url":"http:\/\/oss.caihongxingqiu.net\/music\/ca9a4979-6a74-3243-a621-f6c7108b9de3_2_60_589.mp3","img":"","singer":"兴奋"},{"music_id":"5a31232d388749cb8854825ded27bfae","name":"Make A Shadow","music_duration":60,"md5sum":"ae3806af069cb0cb5abb1ed60cd06e6a","url":"http:\/\/oss.caihongxingqiu.net\/music\/c49fcf30-6da9-382c-95eb-5790d0008080_15_60_475.mp3","img":"","singer":"励志"},{"music_id":"21f945bc5fbc4bd8848ea3313927c508","name":"Shut Up","music_duration":60,"md5sum":"f53764d3ee80624af34976c086722e53","url":"http:\/\/oss.caihongxingqiu.net\/music\/a846362f-fc29-34f9-8b9e-59cb4e42af88_0_60_956.mp3","img":"","singer":"动感"}]},{"name":"清新","category_id":"36","music":[{"music_id":"1573afdf48f440a99c348a312494e44d","name":"花のうた","music_duration":38,"md5sum":"b29aa17caf152624343f62e341ddcadc","url":"http:\/\/oss.caihongxingqiu.net\/music\/loDQTNmytQ22A5Up5EhbjJ7EXthi_compress.mp3","img":"","singer":"治愈"},{"music_id":"a00738473b32414a83ef9be773bc7071","name":"牛奶之歌","music_duration":60,"md5sum":"10bef7fc153315888d98c8c1a110d957","url":"http:\/\/oss.caihongxingqiu.net\/music\/Fo00ZkOwj6tNVIlqDw7_GKKNKF7x_9_60_058.mp3","img":"","singer":"快乐"},{"music_id":"e8cbb27c48224b8296816912d575cea0","name":"Mama Said","music_duration":60,"md5sum":"ed9c829b14ebcf66acbf09e49aafebe8","url":"http:\/\/oss.caihongxingqiu.net\/music\/052713ba-738a-365c-a527-5c1f4beab390_1_60_914.mp3","img":"","singer":"快乐"},{"music_id":"c0a7c7be6653475ba784310fd2e433b2","name":"Christmas Time","music_duration":29,"md5sum":"b82392f845a82b0ae015430decafa31f","url":"http:\/\/oss.caihongxingqiu.net\/music\/lhUh17y0QB8teIf52jwof5Zr0RY-_compress.mp3","img":"","singer":"快乐"},{"music_id":"fe2f613d28a64741b5d12d94998dd7c4","name":"Happy End","music_duration":30,"md5sum":"273968010e2c74c21ec5e3419c8c0571","url":"http:\/\/oss.caihongxingqiu.net\/music\/luxTL2oa1X-586TbEl87gtM-jI8P_compress.mp3","img":"","singer":"感动"},{"music_id":"5304d7afb4b343f295fd93972271db02","name":"Cafe Italiano 02","music_duration":17,"md5sum":"fb1d413cf69a9591fcbc4a3746a2d4b3","url":"http:\/\/oss.caihongxingqiu.net\/music\/Fh7vnCFr2qFVvAg7623pn7mIW_eG_compress.mp3","img":"","singer":"清新"},{"music_id":"c625af33990e41da91aacbb765878edc","name":"Relaxロウきゅーぶ","music_duration":60,"md5sum":"0ba8d23a4dbef4b70ce9d7cdc91906f3","url":"http:\/\/oss.caihongxingqiu.net\/music\/FsrwdKe_f9lGmRu5GZqO9FJVn8Tt_0_60_496.mp3","img":"","singer":"快乐"},{"music_id":"88c9c84e766a45cc9171b81cbe636b67","name":"Shape of You","music_duration":60,"md5sum":"103d219d79a66bde1fa31e6721bc2b58","url":"http:\/\/oss.caihongxingqiu.net\/music\/lhwkHN_Tr-AtNxJ3rG0JKk2eNDQQ_0_60_395.mp3","img":"","singer":"治愈"},{"music_id":"69297cb9cea84a078d17ffae6ca0c7b3","name":"頼れる後輩","music_duration":29,"md5sum":"94d6dbd87d508dc4b7d24a1e91cf7d6d","url":"http:\/\/oss.caihongxingqiu.net\/music\/FkiRn7db65hTmaYwKUdNjqAy1nDi_compress.mp3","img":"","singer":"美好"},{"music_id":"724443c121d842afad1fccf8d3dbffd6","name":"eau","music_duration":59,"md5sum":"68bcdda185df805062eb7caf44595c68","url":"http:\/\/oss.caihongxingqiu.net\/music\/ltJQ2DVizYtZb2McFpfZY_RitJ6r_compress.mp3","img":"","singer":"清新"},{"music_id":"8e32550ce98249719f6819b91da162e4","name":"It\'s Alright","music_duration":22,"md5sum":"6aa219efcfe934f6409ced041da34a61","url":"http:\/\/oss.caihongxingqiu.net\/music\/ljSFoqcoLB1lHhW_VzJMidVLKUb4_compress.mp3","img":"","singer":"清新"},{"music_id":"a03126625d744a1582c6b3ad8bc4e5b7","name":"You\'ve Got My Heart","music_duration":61,"md5sum":"02c5a80d60a5a9b07a1598d9734b9062","url":"http:\/\/oss.caihongxingqiu.net\/music\/loR0fBaKcbeWS3mT2Mk_tCdtN9pF_0_61_663.mp3","img":"","singer":"快乐"},{"music_id":"d7ec5d0d1e25490a99cd45a035a0eec5","name":"Happy Salmon","music_duration":54,"md5sum":"a9ba9515a586f2456a9c336d1404da93","url":"http:\/\/oss.caihongxingqiu.net\/music\/lsKOFPTSwwqwt-fwI5GWF7d4B3O8_compress.mp3","img":"","singer":"放松"},{"music_id":"031feae78a554a3bb5fa588186102def","name":"夜晚","music_duration":61,"md5sum":"8373f7b7c1b32e3a6eea0b07f3ac6447","url":"http:\/\/oss.caihongxingqiu.net\/music\/lkiHgAptUkRkeYTZJn5TluhxXK3B_0_61_961.mp3","img":"","singer":"美好"},{"music_id":"8f9d8e845f5048cfaa3c29a45b303960","name":"Simple Pleasantries","music_duration":43,"md5sum":"fea76a05a2231f7931e1f7b88b15cf58","url":"http:\/\/oss.caihongxingqiu.net\/music\/loKMdxrFYTrLh6954fYPtpM_E0eA_compress.mp3","img":"","singer":"快乐"},{"music_id":"8f4de9253aa34ff28eb058d8ccae8764","name":"Don\'t Call It Puppy Love","music_duration":60,"md5sum":"d4f0106dba906de280dc0fbbd8261e08","url":"http:\/\/oss.caihongxingqiu.net\/music\/a45efe3f-5d66-39da-8da4-38022af4f679_0_60_767.mp3","img":"","singer":"可爱"},{"music_id":"6b6678c2bd6341d8ab179fa4c1a200ec","name":"Good Grief!","music_duration":15,"md5sum":"e3d954fcc5fbd183facec8b66b6e724c","url":"http:\/\/oss.caihongxingqiu.net\/music\/FgWvY4oSrHRw-_5J0Wzdcpc59Cj2_compress.mp3","img":"","singer":"快乐"},{"music_id":"b8c6679176724a47b4cad822f094e510","name":"Slow Roast","music_duration":112,"md5sum":"0121a1554b7f559456b97ccb9e5f3931","url":"http:\/\/oss.caihongxingqiu.net\/music\/lgUy7cn9mjT6U5SUnpCINAUOJCYN_compress.mp3","img":"","singer":"快乐"},{"music_id":"b0cab3c4135d438db4ea1567222f28fd","name":"The Making of It All","music_duration":48,"md5sum":"7a9da1ccc8be7fdbb9f568e3f7c927dd","url":"http:\/\/oss.caihongxingqiu.net\/music\/lmsuCQXnVB5n7RlxivDlc4AZMUpu_compress.mp3","img":"","singer":"清新"},{"music_id":"d2d883cb77f14390a24520f34b8648d0","name":"一生有你","music_duration":60,"md5sum":"1f705ceb39e547ed99296c16df454b6e","url":"http:\/\/oss.caihongxingqiu.net\/music\/FndRYcJTMSbC1N2UXur3tJSeH_CF_67_60_028.mp3","img":"","singer":"美好"}]},{"name":"欢快","category_id":"37","music":[{"music_id":"292db0344e2c45438802d390c0b50fc9","name":"ドラえも～ん！","music_duration":60,"md5sum":"2173a08e0e181b81403f9c5655d5e265","url":"http:\/\/oss.caihongxingqiu.net\/music\/ea5dd65e-2635-327a-be0a-1ba5c30708bb_0_60_748.mp3","img":"","singer":"快乐"},{"music_id":"087190f0eddc4b369b239e48fd0fb71b","name":"Pots And Pancakes","music_duration":41,"md5sum":"55dfd16da7cdea8cfd5b5120ee39b095","url":"http:\/\/oss.caihongxingqiu.net\/music\/lvxEhT3zNv7Ww6O4dWn_lrlF0HRL_compress.mp3","img":"","singer":"快乐"},{"music_id":"65c00507f2584a88aecb666f8e4dde47","name":"Lollipop","music_duration":60,"md5sum":"041a61401c5b27fd5d6ff47887047055","url":"http:\/\/oss.caihongxingqiu.net\/music\/d56bc23e-91e1-3f37-8d60-1932d521cb83_121_60_141.mp3","img":"","singer":"快乐"},{"music_id":"9868482a06544a41a12db3f47907a29b","name":"He\'s Got the Whole World in His Hands","music_duration":71,"md5sum":"58ce3abc32ada36ff29aeeb156e31614","url":"http:\/\/oss.caihongxingqiu.net\/music\/FvZIc__t53zC7nijvcbCVu-yk5Pk_4_71_334.mp3","img":"","singer":"快乐"},{"music_id":"fe2f613d28a64741b5d12d94998dd7c4","name":"Happy End","music_duration":30,"md5sum":"273968010e2c74c21ec5e3419c8c0571","url":"http:\/\/oss.caihongxingqiu.net\/music\/luxTL2oa1X-586TbEl87gtM-jI8P_compress.mp3","img":"","singer":"感动"},{"music_id":"65f6132922484c51ba2b3d3593c11172","name":"Bygone Bumps","music_duration":36,"md5sum":"aa15719428879df2cb2a3b2671d8fa77","url":"http:\/\/oss.caihongxingqiu.net\/music\/lvCP5xq5Vslkg8QtidmyJ10io8Hx_compress.mp3","img":"","singer":"放松"},{"music_id":"57df14971f0f45b385b508757325d7a3","name":"Shutterbug","music_duration":60,"md5sum":"f8f2ca7336092b2b9b1af81958bbfab3","url":"http:\/\/oss.caihongxingqiu.net\/music\/lswypsxdnzXYOeHOJjzqhTILQEdb_48_60_787.mp3","img":"","singer":"治愈"},{"music_id":"02149d1dd44a48438f7de6e28ffa3d2e","name":"We Don\'t Talk Anymore","music_duration":60,"md5sum":"8c763af96c735bebf6c4b82d4e420db4","url":"http:\/\/oss.caihongxingqiu.net\/music\/96e32202-355f-363c-acb4-35ff93447bfa_1_60_502.mp3","img":"","singer":"治愈"},{"music_id":"169e9f8c103e4836b6e06449c4d07070","name":"Fuerteventura","music_duration":60,"md5sum":"a29397bce14944967dce89c909d17cf8","url":"http:\/\/oss.caihongxingqiu.net\/music\/e6154ad8-e8a4-3cc9-ab10-1a0733064f36_0_60_630.mp3","img":"","singer":"治愈"},{"music_id":"a8e726462b6c4c0dab3bece18f52e6fa","name":"High Brow Low Down","music_duration":60,"md5sum":"f79e104dc814d8a41262c4a2eb306cab","url":"http:\/\/oss.caihongxingqiu.net\/music\/lmmbR_MbEX3mXqnjloyP0OXYm6Eg_0_60_011.mp3","img":"","singer":"快乐"},{"music_id":"da134dee01f44f8397773a39ea9d1b6b","name":"What Lovers Do","music_duration":52,"md5sum":"6fa8829c96719d020b6e6bc09a5d949e","url":"http:\/\/oss.caihongxingqiu.net\/music\/lsumQvwKebpqAOI0HDSTjwrWKxM-_8_52_718.mp3","img":"","singer":"爱情"},{"music_id":"544519dcd9c74ab498f85d67b6badd6a","name":"心动点","music_duration":60,"md5sum":"7cd7d4ac71e3a0f7ec4b953128b323cf","url":"http:\/\/oss.caihongxingqiu.net\/music\/lpCBg4mVxfIMA1HRaZ4W4Hw3xh9c_0_60_594.mp3","img":"","singer":"快乐"},{"music_id":"8e32550ce98249719f6819b91da162e4","name":"It\'s Alright","music_duration":22,"md5sum":"6aa219efcfe934f6409ced041da34a61","url":"http:\/\/oss.caihongxingqiu.net\/music\/ljSFoqcoLB1lHhW_VzJMidVLKUb4_compress.mp3","img":"","singer":"清新"},{"music_id":"a03126625d744a1582c6b3ad8bc4e5b7","name":"You\'ve Got My Heart","music_duration":61,"md5sum":"02c5a80d60a5a9b07a1598d9734b9062","url":"http:\/\/oss.caihongxingqiu.net\/music\/loR0fBaKcbeWS3mT2Mk_tCdtN9pF_0_61_663.mp3","img":"","singer":"快乐"},{"music_id":"461ec354779c4bf0b6facffff4915d34","name":"I Love It","music_duration":60,"md5sum":"3bba84f434c6d144157fcea3595eca59","url":"http:\/\/oss.caihongxingqiu.net\/music\/li3Vaq1IE9KM63QaHMIjG62FZJm2_8_60_404.mp3","img":"","singer":"快乐"},{"music_id":"4aaf4e937a024da19af5e5c44432d4e1","name":"I Remember","music_duration":60,"md5sum":"fba3800079a5f4794ac8f2a671d6a402","url":"http:\/\/oss.caihongxingqiu.net\/music\/lh6tlo3tDRgb2F7sjHRXgXK7bwbS_compress.mp3","img":"","singer":"快乐"},{"music_id":"0f52ac68e4f94b55adf02738351eebe4","name":"Romantic Guitar","music_duration":28,"md5sum":"8b398bc3453a3eab3645ec540aec4cf3","url":"http:\/\/oss.caihongxingqiu.net\/music\/FiBOAozK3Q4U83cCzCJFwTVskVQc_compress.mp3","img":"","singer":"安静"},{"music_id":"890441d1bb954191bb9829c91260be94","name":"Your Love Has Me High","music_duration":60,"md5sum":"354d35b517df8eb4ce39197a58cd8eb1","url":"http:\/\/oss.caihongxingqiu.net\/music\/lgo3478KoJykWvzTLYRzTHc_Si99_compress.mp3","img":"","singer":"快乐"},{"music_id":"7edac5f6918a4244a541205d138452d6","name":"海绵宝宝片尾曲","music_duration":60,"md5sum":"0ddd863babea5f42b41934ce16767353","url":"http:\/\/oss.caihongxingqiu.net\/music\/FoTsm9s3Xp6R15lEG4V8CNWgFQAs_0_60_423.mp3","img":"","singer":"快乐"},{"music_id":"d4dbb5301594418fb41b085f98bf2440","name":"晚安喵","music_duration":60,"md5sum":"039f6e54039773621fd94dec31bda33c","url":"http:\/\/oss.caihongxingqiu.net\/music\/Fl9WZ3uIIyvU3oj0ZNBPmza-T2zF_41_60_542.mp3","img":"","singer":"治愈"}]},{"name":"治愈","category_id":"38","music":[{"music_id":"ad98ad9786e54f56909620a564bca09c","name":"牛奶歌","music_duration":60,"md5sum":"87e09d3338e930b525a78358a806a29e","url":"http:\/\/oss.caihongxingqiu.net\/music\/lvLPfS8sSXV_sh-Atw4IcbyNg2Qa_9_60_303.mp3","img":"","singer":"治愈"},{"music_id":"b468bd12ff7f4653b7812e4366c6bd1f","name":"小幸运 (Live)","music_duration":60,"md5sum":"41d547e73efc4261ef85b1730e2bbc4e","url":"http:\/\/oss.caihongxingqiu.net\/music\/Fkp-92rzGJKO4BPOGXHgfH-uy9PN_60_60_169.mp3","img":"","singer":"治愈"},{"music_id":"a8f722ecd6274f3188987df684450b3f","name":"我喜欢上你时的内心活动","music_duration":60,"md5sum":"7bd53ab7dc4ab5efa6237ca6279ccfce","url":"http:\/\/oss.caihongxingqiu.net\/music\/FoeHoUuiPl4WIZzZx_RcapT1TdJs_26_60_126.mp3","img":"","singer":"治愈"},{"music_id":"fe2f613d28a64741b5d12d94998dd7c4","name":"Happy End","music_duration":30,"md5sum":"273968010e2c74c21ec5e3419c8c0571","url":"http:\/\/oss.caihongxingqiu.net\/music\/luxTL2oa1X-586TbEl87gtM-jI8P_compress.mp3","img":"","singer":"感动"},{"music_id":"57df14971f0f45b385b508757325d7a3","name":"Shutterbug","music_duration":60,"md5sum":"f8f2ca7336092b2b9b1af81958bbfab3","url":"http:\/\/oss.caihongxingqiu.net\/music\/lswypsxdnzXYOeHOJjzqhTILQEdb_48_60_787.mp3","img":"","singer":"治愈"},{"music_id":"e37f45e673c14a69a448f3a000ffdfca","name":"小豆房","music_duration":15,"md5sum":"663361fabb041acfe7808f07a944c7b3","url":"http:\/\/oss.caihongxingqiu.net\/music\/lhquuwse5z66Uc7cr4YEV4pN76I9_compress.mp3","img":"","singer":"放松"},{"music_id":"1573afdf48f440a99c348a312494e44d","name":"花のうた","music_duration":38,"md5sum":"b29aa17caf152624343f62e341ddcadc","url":"http:\/\/oss.caihongxingqiu.net\/music\/loDQTNmytQ22A5Up5EhbjJ7EXthi_compress.mp3","img":"","singer":"治愈"},{"music_id":"912409824c294b668c97a32577a610a1","name":"回忆积木小屋","music_duration":60,"md5sum":"97d24edfbd8f391b25bd19d063e6e5c6","url":"http:\/\/oss.caihongxingqiu.net\/music\/lk-xwVz__FLE022MJoOqlLE5mxgO_23_60_275.mp3","img":"","singer":"治愈"},{"music_id":"cd3067544ee14060b816680637f2c4f4","name":"わがままハート","music_duration":24,"md5sum":"9cacf40b6eadb60a359db79a5f21d6f2","url":"http:\/\/oss.caihongxingqiu.net\/music\/lkEXJW25RiCKptM0YigvgYfMvTzr_compress.mp3","img":"","singer":"治愈"},{"music_id":"ecee92e4133e4441b4c29520f2155775","name":"Winter Song","music_duration":60,"md5sum":"2d220c8d9a2f6883d4de35a5c37692aa","url":"http:\/\/oss.caihongxingqiu.net\/music\/lkaa_w9bjpSJVq_zhCIqCvSoWh5n_0_60_576.mp3","img":"","singer":"治愈"},{"music_id":"24ed5fe0f91947549a29f634c5b858c5","name":"天空之城 (吉他、钢琴)","music_duration":60,"md5sum":"2619d884105da8393e82af995a7d0caf","url":"http:\/\/oss.caihongxingqiu.net\/music\/FsWR_BOGCKSd2gH9oM84Spz00PZ1_2_60_867.mp3","img":"","singer":"治愈"},{"music_id":"f11a1b5f93774c7589e2da0e3d6242f5","name":"一二三四","music_duration":52,"md5sum":"e7252becd0d902f91628c58d761b484b","url":"http:\/\/oss.caihongxingqiu.net\/music\/lm2YA-xMG2K-DsYPGYx0C63KcquE_compress.mp3","img":"","singer":"美好"},{"music_id":"e2cfabdd00c5419a99d03b68197bd25e","name":"识食物者为俊杰","music_duration":60,"md5sum":"4b99e843b10745acc47e4a9696097c23","url":"http:\/\/oss.caihongxingqiu.net\/music\/a138d997-3c4f-3937-a2a7-d536eaf44ad7_58_60_633.mp3","img":"","singer":"治愈"},{"music_id":"a93891193e8146ff9a46d5838f193942","name":"甜甜的","music_duration":60,"md5sum":"014f67d6e1e3fe0270feda77fcc6554c","url":"http:\/\/oss.caihongxingqiu.net\/music\/9e802e94-5d0c-3753-812e-39461c5ba0b7_0_60_890.mp3","img":"","singer":"治愈"},{"music_id":"5068912810b7465a9bc7a884746073c4","name":"漂洋过海来看你","music_duration":60,"md5sum":"a584dd4046f4e55635e883eb9caa5870","url":"http:\/\/oss.caihongxingqiu.net\/music\/lgxpseHdFuLUCIeI1ltiF8914dVC_69_60_562.mp3","img":"","singer":"治愈"},{"music_id":"5c40d89c40e242a39888545a8090f0f6","name":"Merry Christmas Mr. Lawrence","music_duration":60,"md5sum":"bf269291d7dfc26ecba93dd1a4d90026","url":"http:\/\/oss.caihongxingqiu.net\/music\/d3012999-fe11-3f08-a42a-2d3d76f3307f_0_60_442.mp3","img":"","singer":"伤感"},{"music_id":"031feae78a554a3bb5fa588186102def","name":"夜晚","music_duration":61,"md5sum":"8373f7b7c1b32e3a6eea0b07f3ac6447","url":"http:\/\/oss.caihongxingqiu.net\/music\/lkiHgAptUkRkeYTZJn5TluhxXK3B_0_61_961.mp3","img":"","singer":"美好"},{"music_id":"7d3179ecc45d4cc2bb8ffae42b3a3cd8","name":"侧脸","music_duration":60,"md5sum":"971a1d3fbe502d6c6ab7e39cab70f0be","url":"http:\/\/oss.caihongxingqiu.net\/music\/FvWzwCNNdZcIhFYRY6oLwNGyvwCq_15_60_327.mp3","img":"","singer":"治愈"},{"music_id":"d91d5785a0e14a28905e49f869ae6737","name":"东西","music_duration":60,"md5sum":"8232db30152d852d1e009e538c7632f4","url":"http:\/\/oss.caihongxingqiu.net\/music\/514f37f4-d59c-37d1-afe5-34b11ce45af2_12_60_442.mp3","img":"","singer":"治愈"},{"music_id":"964ff5d472af4a9cb01466fe57b5ce81","name":"Free Loop","music_duration":60,"md5sum":"1040ca34c6aad5dbacdb5db99e35cf9e","url":"http:\/\/oss.caihongxingqiu.net\/music\/a30f86d0-47e1-32ad-8b81-6f2f49b252fa_4_60_386.mp3","img":"","singer":"伤感"}]},{"name":"流行","category_id":"39","music":[{"music_id":"a93891193e8146ff9a46d5838f193942","name":"甜甜的","music_duration":60,"md5sum":"014f67d6e1e3fe0270feda77fcc6554c","url":"http:\/\/oss.caihongxingqiu.net\/music\/9e802e94-5d0c-3753-812e-39461c5ba0b7_0_60_890.mp3","img":"","singer":"治愈"},{"music_id":"cf964ca77e594c8d9d4636fd6613cf01","name":"追光者 (Live)","music_duration":60,"md5sum":"03645a7246115d2a480c25a66a664644","url":"http:\/\/oss.caihongxingqiu.net\/music\/9c0d5ff9-7d0a-3b60-8273-c7315d04526b_24_60_557.mp3","img":"","singer":"寂寞"},{"music_id":"3373e64d9a6f4648b2a3618ac8a97e09","name":"给陌生的你听","music_duration":60,"md5sum":"84e70ccd480f0e2783bd38d94c38c5cf","url":"http:\/\/oss.caihongxingqiu.net\/music\/Fm46rAGQfREQeCX5nYQLonu2HoV__20_60_946.mp3","img":"","singer":"情歌"},{"music_id":"8787897b57fa42b1904e66e3e3d0fe78","name":"OK歌","music_duration":60,"md5sum":"811c915d91fb022855237caa4283f845","url":"http:\/\/oss.caihongxingqiu.net\/music\/FoaxtUfbNF2hucwBs8jg_ZXuaoEr_1_60_768.mp3","img":"","singer":"爱情"},{"music_id":"8e32550ce98249719f6819b91da162e4","name":"It\'s Alright","music_duration":22,"md5sum":"6aa219efcfe934f6409ced041da34a61","url":"http:\/\/oss.caihongxingqiu.net\/music\/ljSFoqcoLB1lHhW_VzJMidVLKUb4_compress.mp3","img":"","singer":"清新"},{"music_id":"a03126625d744a1582c6b3ad8bc4e5b7","name":"You\'ve Got My Heart","music_duration":61,"md5sum":"02c5a80d60a5a9b07a1598d9734b9062","url":"http:\/\/oss.caihongxingqiu.net\/music\/loR0fBaKcbeWS3mT2Mk_tCdtN9pF_0_61_663.mp3","img":"","singer":"快乐"},{"music_id":"031feae78a554a3bb5fa588186102def","name":"夜晚","music_duration":61,"md5sum":"8373f7b7c1b32e3a6eea0b07f3ac6447","url":"http:\/\/oss.caihongxingqiu.net\/music\/lkiHgAptUkRkeYTZJn5TluhxXK3B_0_61_961.mp3","img":"","singer":"美好"},{"music_id":"3536a4295cb047f4afff005b6175e2df","name":"Moves Like Jagger","music_duration":60,"md5sum":"d22a780e5461f5612ebe234d1ae4ebe1","url":"http:\/\/oss.caihongxingqiu.net\/music\/luyezyVhuLakT8nRhd1kcnEpR6Nh_43_60_838.mp3","img":"","singer":"减压"},{"music_id":"839b5c4041694c868275d6e1fc3878ca","name":"风也跟着唱","music_duration":60,"md5sum":"4982850aed2bce79b704019a7706934f","url":"http:\/\/oss.caihongxingqiu.net\/music\/lsQfm1nijV1sSH_xY_ckcc6UooOl_28_60_574.mp3","img":"","singer":"思念"},{"music_id":"5a9fd06f89c746c888e5d3439d63bb2b","name":"Way Back Into Love","music_duration":60,"md5sum":"7953bc61f1742105f54a40708fde32eb","url":"http:\/\/oss.caihongxingqiu.net\/music\/fe136b13-03b2-37ec-a2f9-1cbb00e30841_20_60_485.mp3","img":"","singer":"励志"},{"music_id":"09ff94de051f4879824055ec093d81ca","name":"讲真的","music_duration":60,"md5sum":"aa2020a1ca375e4be3011e128efd7e0d","url":"http:\/\/oss.caihongxingqiu.net\/music\/FqtyJH02EPt_dP-T2_Tr0CRMq8og_18_60_636.mp3","img":"","singer":"放松"},{"music_id":"0113a7215db24b09b16974b138ea868f","name":"说散就散","music_duration":60,"md5sum":"f99e536462faab9fef6be02bc80c53c1","url":"http:\/\/oss.caihongxingqiu.net\/music\/FpJDusDLUzvLxPdpn5HDkbm0ejIo_18_60_608.mp3","img":"","singer":"治愈"},{"music_id":"c4f310e3d49145518d70125aafc40953","name":"Dreams","music_duration":60,"md5sum":"d431a2ffb615cc81253a6a0030a880df","url":"http:\/\/oss.caihongxingqiu.net\/music\/94a5160b-321a-3d58-9415-9d64a73c3cb5_12_60_305.mp3","img":"","singer":"怀旧"},{"music_id":"21ae704bb28b42f181a306f7e0ec6fe9","name":"Changed","music_duration":40,"md5sum":"f29ed93b06570781665d7d7560dfd92c","url":"http:\/\/oss.caihongxingqiu.net\/music\/ln8mJ5npOsIn0uLH2tz0AdjbBIMA_compress.mp3","img":"","singer":"流行"},{"music_id":"5eb78fac13f849c98537a4f0612f42ae","name":"The Way I Still Love You","music_duration":60,"md5sum":"4c35de38bb0b93c742d22d1909c8f60b","url":"http:\/\/oss.caihongxingqiu.net\/music\/7f057cb3-c29a-3147-953c-fb758ee19550_0_60_445.mp3","img":"","singer":"减压"},{"music_id":"292db0344e2c45438802d390c0b50fc9","name":"ドラえも～ん！","music_duration":60,"md5sum":"2173a08e0e181b81403f9c5655d5e265","url":"http:\/\/oss.caihongxingqiu.net\/music\/ea5dd65e-2635-327a-be0a-1ba5c30708bb_0_60_748.mp3","img":"","singer":"快乐"},{"music_id":"d0b66a5695184639b4ea77acb5d0c5a5","name":"Hide and Seek","music_duration":60,"md5sum":"fcaf0d0239ef1bfd112b090403bdf787","url":"http:\/\/oss.caihongxingqiu.net\/music\/f6595d2d-36ee-30da-973a-fc8eada5a583_53_60_360.mp3","img":"","singer":"兴奋"},{"music_id":"f75e14d3b5bb4214acac8a3edaa728f2","name":"风的季节","music_duration":60,"md5sum":"f7ffee0519758aa4d43e4a4d6883d4bf","url":"http:\/\/oss.caihongxingqiu.net\/music\/FqvAlN-NsONiQHoY8FS5UYyZnKAi_20_60_993.mp3","img":"","singer":"流行"},{"music_id":"da134dee01f44f8397773a39ea9d1b6b","name":"What Lovers Do","music_duration":52,"md5sum":"6fa8829c96719d020b6e6bc09a5d949e","url":"http:\/\/oss.caihongxingqiu.net\/music\/lsumQvwKebpqAOI0HDSTjwrWKxM-_8_52_718.mp3","img":"","singer":"爱情"}]}]';
        $this->line("开始导入");
        $list = json_decode($musicInfo,true);
        foreach ($list as $key=>$value){
            $category_name = $value['name'];
            $category = PostMusicCategory::where('name',$category_name)->first();
            if(!$category){
                $category = PostMusicCategory::create(['name'=>$category_name])->toArray();
                Log::debug('插入分类:'.json_encode($category));
            }
            foreach ($value['music'] as $music){
                $info['music_id'] = $music['music_id'];
                $info['name'] = $music['name'];
                $info['music_duration'] = $music['music_duration'];
                $info['md5sum'] = $music['md5sum'];
                $info['url'] = $music['url'];
                $info['img'] = $music['img'];
                $info['singer'] = $music['singer'];
                $musicRow = PostMusic::where('music_id',$info['music_id'])->first();
                $this->line('musicrow:'.json_encode($musicRow));
                if(!$musicRow){
                    $musicRow = PostMusic::create($info)->toArray();
                    $this->line('插入音乐:'.json_encode($musicRow));
                }
                $rel['mid'] = $musicRow['id'];
                $rel['music_category_id'] = $category['id'];
                $relRow = PostMusicCategoryRel::where(['mid'=>$rel['mid'],'music_category_id'=>$rel['music_category_id']])->exists();
                if(!$relRow){
                    PostMusicCategoryRel::create($rel);
                    Log::debug('插入音乐关联:'.json_encode($musicRow));
                }
            }

        }

    }
}